JWorld@TW the best professional Java site in Taiwan
      註冊 | 登入 | 全文檢索 | 排行榜  

» JWorld@TW » Java ME、Google Android 平台與 JavaCard 討論區 » 開發工具  

按列印兼容模式列印這個話題 列印話題    把這個話題寄給朋友 寄給朋友    訂閱主題
reply to topicthreaded modego to previous topicgo to next topic
本主題所含的標籤
無標籤
作者 EclipseME-Step by step [精華]
Fansia

研究生的苦日子



發文: 90
積分: 3
於 2004-05-28 00:24 user profilesend a private message to usersend email to Fansiareply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
年久失修,更正了一些壞掉的links,希望還是可以幫助一些新來的同伴們。

新版本請參考官方網頁
http://eclipseme.sourceforge.net/docs/installation.html

以下是要安裝 Eclipse 0.5.5 以下版本的作法

圖文並茂版
http://blog.freya.cc/fansia/20060315-12.html

一、事前準備

1. 安裝好 J2SE SDK
http://java.sun.com/j2se/1.4.2/download.html

2. 安裝好 Wireless Toolkit 2.1
http://java.sun.com/products/j2mewtoolkit/download-2_1.html

二、開始

1. download eclipse 3.0 M7,然後將他解壓縮到你想要放置的地方(這裡假設都是在C:\下)

2. download eclipseME 0.4.0,然後將他解壓縮到c:\eclipse\plugins裡

3. 執行eclipse,點選File --> Imoprt -->Extenal Plug-ins and Fragments --> 點Next直到Selection,把eclipseMe加進去,再按finished -->OK

4. 執行eclipse,點選Windows --> Preference -->J2ME --> Platform Components -->在右邊Wireless Toolkits上按右鍵 --> 加入WirelessTookit --> 選要加入的SDK(ex:c:\wtk21)

三、測試

1. 執行eclipse,點選File --> New --> Other -->選MIDlet Suit --> 打個名字 -->ok

2. 在剛剛作出來的MIDletSuit再如上加入一個MIDlet

3. Run --> Run As --> Emulated J2ME MIDlet --> OK

4. 大功告成,接下來就會看到WTK的手機模擬器跑出來了Big Smile

ps.小弟測試多次的心得,希望對大家有幫助,有錯也請大家多指教!


Fansia edited on 2006-05-04 21:12
reply to postreply to post
作者 Re:EclipseME-Step by step [Re:Fansia]
studman





發文: 47
積分: 0
於 2004-05-28 11:07 user profilesend a private message to usersend email to studmanreply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
沒想到小弟的推薦plug-in
引起這樣大的回應
感謝您


reply to postreply to post
作者 Re:EclipseME-Step by step [Re:Fansia]
Fansia

研究生的苦日子



發文: 90
積分: 3
於 2004-05-28 15:35 user profilesend a private message to usersend email to Fansiareply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
好用的東西總是要跟大家一起分享的嘛
大家共勉之!


reply to postreply to post
作者 Re:EclipseME-Step by step [Re:Fansia]
sorry





發文: 3
積分: 0
於 2004-05-30 21:56 user profilesend a private message to userreply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
剛試了新版的eclipse 3.0 M9 和eclipseME 0.4.1
成功安裝, step by step 跟Fansia 版友的方法就可以了Smile


reply to postreply to post
作者 Re:EclipseME-Step by step [Re:Fansia]
Fansia

研究生的苦日子



發文: 90
積分: 3
於 2004-05-30 22:18 user profilesend a private message to usersend email to Fansiareply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
喔耶 那我也來換用m9的 謝謝sorry兄分享

reply to postreply to post
用JAVA的人,真是帥呆啦!
用Ruby的人,真是可愛呆啦!
不過,我現在比較沒這摸帥了。
因為我現在比較常用Ruby

FanRist
作者 Re:EclipseME-Step by step [Re:Fansia]
paservan





發文: 11
積分: 3
於 2004-05-31 01:43 user profilesend a private message to userreply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
Fansia wrote:
喔耶 那我也來換用m9的 謝謝sorry兄分享


真的是太棒了 ~
小弟剛剛也照著 Fansia 的步驟做, 完全沒有問題
成功的把 Eclipse + Wireless Toolkit + EclipseME 安裝了
感謝 Fansia 大大 ~

順便 po 個小疑問, 我在 run
" 三.3 Run --> Run As --> Emulated J2ME MIDlet --> OK "

這個步驟時候, 出現錯誤, 後來發現好像是 Emulator 在抓中文路徑的時候有問題, 我的 workspace 就放在桌面上, 路徑當然是 "c:\docu ... \桌面 ... ", 結果我將 workspace 改到沒有中文路徑的目錄下就正常了..

我想應該是中文路徑的問題, 希望沒有猜錯, 如果有錯的話請更正, 謝謝.. Smile
Smile


reply to postreply to post
作者 Re:EclipseME-Step by step [Re:Fansia]
kalos





發文: 46
積分: 3
於 2004-06-29 14:19 user profilesend a private message to userreply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
小弟想請問一下,以下兩個M9 到底有什麼不同?

eclipse-RCP-3.0M9-win32.zip 22-May-2004 00:56 4.7M
eclipse-RCP-SDK-3.0M9-aix-motif.zip 22-May-2004 00:57 17.8M


reply to postreply to post
作者 Re:EclipseME-Step by step [Re:Fansia]
ppcfan





發文: 1
積分: 0
於 2004-07-19 09:09 user profilesend a private message to userreply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
3.0+0.4.5成功
还有一个J2ME的pulgin,不知各位有没有试过
http://www.siptech.com/index?url=j2meplugin


reply to postreply to post
作者 Re:EclipseME-Step by step [Re:Fansia]
utopia





發文: 2
積分: 0
於 2004-07-30 09:52 user profilesend a private message to userreply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
第二個M9是AIX系統用的..............

reply to postreply to post
作者 Re:EclipseME-Step by step [Re:Fansia]
utopia





發文: 2
積分: 0
於 2004-07-30 11:47 user profilesend a private message to userreply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
Fansia wrote:

4. 執行eclipse,點選Windows --> Preference -->J2ME --> Platform Components -->在右邊Wireless Toolkits上按右鍵 --> 加入WirelessTookit --> 選要加入的SDK(ex:c:\wtk21)



我怎麽到這一步就不行了啊!!!
怎麽也找不到那個J2ME啊,Preference?堥S有這一項啊!!!
求助!!!!!!!!!!!!


reply to postreply to post
作者 Re:EclipseME-Step by step [Re:Fansia]
Fansia

研究生的苦日子



發文: 90
積分: 3
於 2004-07-30 23:40 user profilesend a private message to usersend email to Fansiareply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
這個我之前剛開始用的時候也有遇過
我當時解決的辦法就是
換eclipse或eclipseMe的版本
不過 照常理來說
現在新的應該就會成功才是的


reply to postreply to post
用JAVA的人,真是帥呆啦!
用Ruby的人,真是可愛呆啦!
不過,我現在比較沒這摸帥了。
因為我現在比較常用Ruby

FanRist
作者 Re:EclipseME-Step by step [Re:Fansia]
louisz

長門有希



發文: 136
積分: 1
於 2004-08-02 23:03 user profilesend a private message to usersend email to louiszreply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
我來補充的,關於多種手機開發環境與Eclipse結合,現在以sonyEricson為示範,我想其他廠牌的應該也是一樣,按照Fansia的步驟完成這是sun的手機開發工具的安裝,然後你要先去下載sonyEricson的開發工具semc_j2me_sdk_2_1_3_beta.zip[30多MB-]的版本後,安裝完後打開Eclipse,直接進行
步驟4. 執行eclipse,點選Windows --> Preference -->J2ME --> Platform Components -->在右邊Wireless Toolkits上按右鍵 --> 加入WirelessTookit --> 選C:\SonyEricsson就可以了,然後再開專案的時候,選擇自己想要製作的WTK,就可以了!
哇!!寫一寫好像應該大家都知道才是不過還是說一下,如果大家覺得沒有必要在跟我說啦!!我在刪掉~~


louisz edited on 2004-08-02 23:06
reply to postreply to post
我的部落格
我家寶貝的寫真集
熱門無敵可愛寫真集
作者 Re:EclipseME-Step by step [Re:Fansia]
Fansia

研究生的苦日子



發文: 90
積分: 3
於 2004-08-02 23:30 user profilesend a private message to usersend email to Fansiareply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
謝謝louisz桑的補充
真是太棒了 你幫我解決了一個問題
像我之前想要加Nokia的WTK(Nokia Series 60 or Series 40 etc.)
不過 都掛不上去
原因是 Nokia他安裝各個WTK的預設路徑都是C:\Nokia\Devices\
而那時候 我想加入Series 60的WTK
我想應該是選C:\Nokia\Devices\Nokia_Series_60 這個資料夾
結果都掛不上去
原來是只要選C:\Nokia這個資料夾就行了
他就會自動把C:\Nokia\Devices\裡有的所以WTK加上去了


reply to postreply to post
用JAVA的人,真是帥呆啦!
用Ruby的人,真是可愛呆啦!
不過,我現在比較沒這摸帥了。
因為我現在比較常用Ruby

FanRist
作者 Re:EclipseME-Step by step [Re:Fansia]
Puba





發文: 37
積分: 1
於 2004-08-03 18:52 user profilesend a private message to userreply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
由於原文有錯誤的地方,我好不容易才試出來,原因是這裡 "2. download eclipseME 4.0.0"正確的資訊應該是 "eclipseME 0.4.0".
所以點進去之後看到Version 0.4.5 Now Available,人的習慣性就是下載最新的版本,旦結果卻是不能用的.

1.eclipse v3.0配合eclipseME0.4.0跟eclipseME0.4.6是不能用的.
2.eclipse v3.0M7配合eclipseME0.4.6也不能用.

我最後是用eclipse v3.0M7配合eclipseME0.4.0試出來的.


reply to postreply to post
作者 Re:EclipseME-Step by step [Re:Puba]
Fansia

研究生的苦日子



發文: 90
積分: 3
於 2004-08-03 23:54 user profilesend a private message to usersend email to Fansiareply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
Puba wrote:
由於原文有錯誤的地方,我好不容易才試出來,原因是這裡 "2. download eclipseME 4.0.0"正確的資訊應該是 "eclipseME 0.4.0".
所以點進去之後看到Version 0.4.5 Now Available,人的習慣性就是下載最新的版本,旦結果卻是不能用的.

1.eclipse v3.0配合eclipseME0.4.0跟eclipseME0.4.6是不能用的.
2.eclipse v3.0M7配合eclipseME0.4.6也不能用.

我最後是用eclipse v3.0M7配合eclipseME0.4.0試出來的.


真是不好意思 已改正

可不可以請你說一下
你上述兩個組合不能用
是會有什麼錯誤的訊息呢?


reply to postreply to post
用JAVA的人,真是帥呆啦!
用Ruby的人,真是可愛呆啦!
不過,我現在比較沒這摸帥了。
因為我現在比較常用Ruby

FanRist
作者 Re:EclipseME-Step by step [Re:Fansia]
Puba





發文: 37
積分: 1
於 2004-08-04 17:02 user profilesend a private message to userreply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
4. 執行eclipse,點選Windows --> Preference -->J2ME

1.eclipse v3.0配合eclipseME0.4.0跟eclipseME0.4.6是不能用的,因為你看不到J2ME這個選項.

2.eclipse v3.0M7配合eclipseME0.4.6也不能用,設定都OK之後,在最後的測試階段,用Run As --> Emulated J2ME MIDlet 之後畫面閃了一下,不會出現手機.


reply to postreply to post
作者 Re:EclipseME-Step by step [Re:Fansia]
louisz

長門有希



發文: 136
積分: 1
於 2004-08-05 13:12 user profilesend a private message to usersend email to louiszreply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
我就是裝eclipse3.0+eclipseME0.4.6是可以的喔!我是按Fansia的步驟是可以的
妳在plugins下應該會有一個目錄為eclipseme_0.4.6有沒有啊??


reply to postreply to post
我的部落格
我家寶貝的寫真集
熱門無敵可愛寫真集
作者 Re:EclipseME-Step by step [Re:Fansia]
meltdown





發文: 5
積分: 0
於 2004-08-11 13:48 user profilesend a private message to usersend email to meltdownreply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
eclipse 3.0 M7
eclipseME 0.4.0
請問在網站上市哪個檔名阿
我下載了
eclipseme-0.4.6.zip
eclipse-SDK-3.0-win32.zip對嗎


reply to postreply to post
作者 Re:EclipseME-Step by step [Re:Fansia]
meltdown





發文: 5
積分: 0
於 2004-08-11 13:56 user profilesend a private message to usersend email to meltdownreply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
三、測試
1. 執行eclipse,點選File --> New --> Other -->選MIDlet Suit --> 打個名字 -->ok

MIDlet Suit <===沒得選
是指哪個阿
我現在的是有
class
extension point Shcerma
interFace
java project
plug-in project
CVS
J2ME
Java
plug-in development
simple


reply to postreply to post
作者 Re:EclipseME-Step by step [Re:Fansia]
Fansia

研究生的苦日子



發文: 90
積分: 3
於 2004-08-12 14:05 user profilesend a private message to usersend email to Fansiareply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
這個應該選J2ME裡面就會有選項了吧!!

reply to postreply to post
用JAVA的人,真是帥呆啦!
用Ruby的人,真是可愛呆啦!
不過,我現在比較沒這摸帥了。
因為我現在比較常用Ruby

FanRist
作者 Re:EclipseME-Step by step [Re:Fansia]
meltdown





發文: 5
積分: 0
於 2004-08-13 00:19 user profilesend a private message to usersend email to meltdownreply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
找到了
但3. Run --> Run As --> Emulated J2ME MIDlet --> OK

這一段
我只能看到run---> Run As --->Ant Bulid
執行他會說
Bulid Failed
Reason:
Unabled to find an Ant file to run
我是少了哪個步驟阿
我是一個初學者
請原諒


reply to postreply to post
作者 Re:EclipseME-Step by step [Re:Fansia]
senersener





發文: 1
積分: 0
於 2004-08-23 14:14 user profilesend a private message to userreply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
使用
eclipseme-0.4.6.zip
eclipse-SDK-3.1M1-win32.zip

按照步驟做下來, 會出現這兩個錯誤訊息,

The project was not built since its build path is incomplete. Cannot find the class file for java.lang.Object. Fix the build path then try building this project

The type java.lang.Object cannot be resolved. It is indirectly referenced from required .class files


reply to postreply to post
作者 Re:EclipseME-Step by step [Re:Fansia]
wltsui





發文: 1
積分: 0
於 2004-08-23 14:47 user profilesend a private message to userreply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
想知道,用EclipseMe怎么调试!??? 大家能调试吗?

reply to postreply to post
作者 Re:EclipseME-Step by step [Re:Fansia]
Fansia

研究生的苦日子



發文: 90
積分: 3
於 2004-09-12 20:26 user profilesend a private message to usersend email to Fansiareply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
原本的教學附上圖片版

http://fansia.adsldns.org/blog01/blogentry.2004-09-12.4929537009

如果有那裡需要改進,請大家給我建議,希望這份文件對大家有幫助。


reply to postreply to post
用JAVA的人,真是帥呆啦!
用Ruby的人,真是可愛呆啦!
不過,我現在比較沒這摸帥了。
因為我現在比較常用Ruby

FanRist
作者 Re:EclipseME-Step by step [Re:Fansia]
jasonipm





發文: 3
積分: 0
於 2004-09-28 21:21 user profilesend a private message to userreply to postreply to postsearch all posts byselect and copy to clipboard. 
ie only, sorry for netscape users:-)add this post to my favorite list
大大們,我也是這樣,
用eclipse v3.0(不懂分M7或M9),
配合eclipseME0.5.0,設定都OK,
但用Run As -> Emulated J2ME MIDlet 之後畫面閃了一下,
而不會出現Java手機的Emulator,要怎解決??
謝謝~


reply to postreply to post
go to first page go to previous page  1   2  go to next page go to last page
» JWorld@TW »  Java ME、Google Android 平台與 JavaCard 討論區 » 開發工具

reply to topicthreaded modego to previous topicgo to next topic
  已讀文章
  新的文章
  被刪除的文章
Jump to the top of page

JWorld@TW 本站商標資訊

Powered by Powerful JuteForum® Version Jute 1.5.8